Bug 1249279 - There should be an option to change the DocumentRoot in PHP catridge
There should be an option to change the DocumentRoot in PHP catridge
Status: CLOSED WONTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Abhishek Gupta
Wei Sun
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-01 05:07 EDT by Tony Thomas
Modified: 2017-05-31 14:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-31 14:22:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Thomas 2015-08-01 05:07:59 EDT
Description of problem: Changing the DocumentRoot is really messy with the current system, and needs to be done each time the server restarts, or even php restarts. I could get the same by doing something like 

 export OPENSHIFT_REPO_DIR=/new/path

This should be made more simple, and the change made persistent. How about having an option for that in the management console, or a permanent environment variable which never gets reset. 


Version-Release number of selected component (if applicable):


How reproducible:Try changing the documentroot of php from app-root/repo/ to app-root/repo/newfolder/


Steps to Reproduce:
1.Create a PHP catridge
2.Create a new folder in app-root/repo/ and try to make it the DocumentRoot
3.Restart PHP/ server.

Actual results:
There should be an option to permanently change the Document Root


Expected results:


Additional info:
Comment 1 Abhishek Gupta 2015-08-14 14:39:45 EDT
This is the existing environment variable that you can modify to change the php document root --> OPENSHIFT_PHP_DOCUMENT_ROOT
Comment 2 Tony Thomas 2015-08-14 15:25:33 EDT
I tried setting it using export OPENSHIFT_PHP_DOCUMENT_ROOT=/newlocation/ but it never seems to work. I use php 5.3 catridge, and is trying to install phabricator. Phab needs the document root to be app-root/repo/phabricator/webroot/
Comment 3 XiuJuan Wang 2015-08-19 02:09:08 EDT
QE still got same iusse as Tony.

This env OPENSHIFT_PHP_DOCUMENT_ROOT doesn't work after restart cartridge.

[php53-xiuwang.dev.rhcloud.com repo]\> export OPENSHIFT_PHP_DOCUMENT_ROOT=/var/lib/openshift/55d41ac7ebe45533ec00039b/app-root/repo/test
[php53-xiuwang.dev.rhcloud.com repo]\> env | grep OPENSHIFT_PHP_DOCUMENT_ROOT
OPENSHIFT_PHP_DOCUMENT_ROOT=/var/lib/openshift/55d41ac7ebe45533ec00039b/app-root/repo/test
[php53-xiuwang.dev.rhcloud.com repo]\> gear restart
Cart to restart?
1. php-5.3
?  1
Restarting PHP 5.3 cartridge (Apache+mod_php)
Application directory "/" selected as DocumentRoot

Restart app.Check this env again.
[php53-xiuwang.dev.rhcloud.com 55d41ac7ebe45533ec00039b]\>  env | grep OPENSHIFT_PHP_DOCUMENT_ROOT

php-5.4 cartridge is same as php-5.3
Comment 4 Eric Paris 2017-05-31 14:22:11 EDT
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.

Note You need to log in before you can comment on or make changes to this bug.